`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    12:53:21 08/04/2015 
// Design Name: 
// Module Name:    async_reset2 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module async_reset2(
    input aresetn_in,
    input aclk,
    output aresetn_out
    );

    reg [7:0] reset_sync_n = 8'b00000000;
    /*****************************************************************************/
    /* MAIN CODE */
    /*****************************************************************************/
    always @(posedge aclk or negedge aresetn_in)
	 //always @(negedge aclk or negedge aresetn_in)
	 begin
        if (!aresetn_in)
            reset_sync_n <= 8'b00000000;//is reset
        else
            reset_sync_n <= {reset_sync_n[6:0], 1'b1};//not reset
	 end

    assign aresetn_out = reset_sync_n[7];

endmodule
