set moduleName axi_fifo_sram
set isCombinational 0
set isDatapathOnly 0
set isPipelined 0
set pipeline_type none
set FunctionProtocol ap_ctrl_none
set isOneStateSeq 0
set C_modelName axi_fifo_sram
set C_modelType { void 0 }
set C_modelArgList { 
	{ input_V_V int 8 regular {fifo 0 volatile }  }
	{ output_V_V int 8 regular {fifo 1 volatile }  }
	{ sram_addr_V int 17 regular {pointer 1 volatile }  }
	{ sram_databus_V int 8 regular {pointer 2 volatile }  }
	{ sram_databus_t int 1 regular {pointer 1 volatile }  }
	{ sram_noe int 1 regular {pointer 1 volatile }  }
	{ sram_nwe int 1 regular {pointer 1 volatile }  }
}
set C_modelArgMapList {[ 
	{ "Name" : "input_V_V", "interface" : "fifo", "bitwidth" : 8,"bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "input.V.V","cData": "uint8","cArray": [{"low" : 0,"up" : 31,"step" : 1}]}]}]} , 
 	{ "Name" : "output_V_V", "interface" : "fifo", "bitwidth" : 8,"bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "output.V.V","cData": "uint8","cArray": [{"low" : 0,"up" : 31,"step" : 1}]}]}]} , 
 	{ "Name" : "sram_addr_V", "interface" : "wire", "bitwidth" : 17,"bitSlice":[{"low":0,"up":16,"cElement": [{"cName": "sram_addr.V","cData": "uint17","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "sram_databus_V", "interface" : "wire", "bitwidth" : 8,"bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "sram_databus.V","cData": "uint8","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "sram_databus_t", "interface" : "wire", "bitwidth" : 1,"bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "sram_databus_t","cData": "bool","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "sram_noe", "interface" : "wire", "bitwidth" : 1,"bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "sram_noe","cData": "bool","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "sram_nwe", "interface" : "wire", "bitwidth" : 1,"bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "sram_nwe","cData": "bool","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} ]}
# RTL Port declarations: 
set portNum 14
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ input_V_V_dout sc_in sc_lv 8 signal 0 } 
	{ input_V_V_empty_n sc_in sc_logic 1 signal 0 } 
	{ input_V_V_read sc_out sc_logic 1 signal 0 } 
	{ output_V_V_din sc_out sc_lv 8 signal 1 } 
	{ output_V_V_full_n sc_in sc_logic 1 signal 1 } 
	{ output_V_V_write sc_out sc_logic 1 signal 1 } 
	{ sram_addr_V sc_out sc_lv 17 signal 2 } 
	{ sram_databus_V_i sc_in sc_lv 8 signal 3 } 
	{ sram_databus_V_o sc_out sc_lv 8 signal 3 } 
	{ sram_databus_t sc_out sc_logic 1 signal 4 } 
	{ sram_noe sc_out sc_logic 1 signal 5 } 
	{ sram_nwe sc_out sc_logic 1 signal 6 } 
}
set NewPortList {[ 
	{ "name": "ap_clk", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "clock", "bundle":{"name": "ap_clk", "role": "default" }} , 
 	{ "name": "ap_rst", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "reset", "bundle":{"name": "ap_rst", "role": "default" }} , 
 	{ "name": "input_V_V_dout", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "input_V_V", "role": "dout" }} , 
 	{ "name": "input_V_V_empty_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "input_V_V", "role": "empty_n" }} , 
 	{ "name": "input_V_V_read", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "input_V_V", "role": "read" }} , 
 	{ "name": "output_V_V_din", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "output_V_V", "role": "din" }} , 
 	{ "name": "output_V_V_full_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "output_V_V", "role": "full_n" }} , 
 	{ "name": "output_V_V_write", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "output_V_V", "role": "write" }} , 
 	{ "name": "sram_addr_V", "direction": "out", "datatype": "sc_lv", "bitwidth":17, "type": "signal", "bundle":{"name": "sram_addr_V", "role": "default" }} , 
 	{ "name": "sram_databus_V_i", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "sram_databus_V", "role": "i" }} , 
 	{ "name": "sram_databus_V_o", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "sram_databus_V", "role": "o" }} , 
 	{ "name": "sram_databus_t", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "sram_databus_t", "role": "default" }} , 
 	{ "name": "sram_noe", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "sram_noe", "role": "default" }} , 
 	{ "name": "sram_nwe", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "sram_nwe", "role": "default" }}  ]}
set Spec2ImplPortList { 
	input_V_V { ap_fifo {  { input_V_V_dout fifo_data 0 8 }  { input_V_V_empty_n fifo_status 0 1 }  { input_V_V_read fifo_update 1 1 } } }
	output_V_V { ap_fifo {  { output_V_V_din fifo_data 1 8 }  { output_V_V_full_n fifo_status 0 1 }  { output_V_V_write fifo_update 1 1 } } }
	sram_addr_V { ap_none {  { sram_addr_V out_data 1 17 } } }
	sram_databus_V { ap_none {  { sram_databus_V_i in_data 0 8 }  { sram_databus_V_o out_data 1 8 } } }
	sram_databus_t { ap_none {  { sram_databus_t out_data 1 1 } } }
	sram_noe { ap_none {  { sram_noe out_data 1 1 } } }
	sram_nwe { ap_none {  { sram_nwe out_data 1 1 } } }
}

# RTL port scheduling information:
set fifoSchedulingInfoList { 
	input_V_V { fifo_read 2 has_conditional }
	output_V_V { fifo_write 2 has_conditional }
}

# RTL bus port read request latency information:
set busReadReqLatencyList { 
}

# RTL array port load latency information:
set memoryLoadLatencyList { 
}
