#include "hls_design_meta.h"
const Port_Property HLS_Design_Meta::port_props[]={
	Port_Property("ap_clk", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_rst", 1, hls_in, -1, "", "", 1),
	Port_Property("input_V_V_dout", 8, hls_in, 0, "ap_fifo", "fifo_data", 2),
	Port_Property("input_V_V_empty_n", 1, hls_in, 0, "ap_fifo", "fifo_status", 2),
	Port_Property("input_V_V_read", 1, hls_out, 0, "ap_fifo", "fifo_update", 2),
	Port_Property("output_V_V_din", 8, hls_out, 1, "ap_fifo", "fifo_data", 2),
	Port_Property("output_V_V_full_n", 1, hls_in, 1, "ap_fifo", "fifo_status", 2),
	Port_Property("output_V_V_write", 1, hls_out, 1, "ap_fifo", "fifo_update", 2),
	Port_Property("sram_addr_V", 17, hls_out, 2, "ap_none", "out_data", 1),
	Port_Property("sram_databus_V_i", 8, hls_in, 3, "ap_none", "in_data", 1),
	Port_Property("sram_databus_V_o", 8, hls_out, 3, "ap_none", "out_data", 1),
	Port_Property("sram_databus_t", 1, hls_out, 4, "ap_none", "out_data", 1),
	Port_Property("sram_noe", 1, hls_out, 5, "ap_none", "out_data", 1),
	Port_Property("sram_nwe", 1, hls_out, 6, "ap_none", "out_data", 1),
};
const char* HLS_Design_Meta::dut_name = "axi_fifo_sram";
