set moduleName rds_enforcer
set isCombinational 0
set isDatapathOnly 0
set isPipelined 0
set pipeline_type none
set FunctionProtocol ap_ctrl_none
set isOneStateSeq 0
set C_modelName rds_enforcer
set C_modelType { void 0 }
set C_modelArgList { 
	{ dds_in_V_V int 15 regular {fifo 0 volatile }  }
	{ dds_out_V_V int 15 regular {fifo 1 volatile }  }
	{ in_rds_V_V int 1 regular {fifo 0 volatile }  }
	{ out_rds_V_V int 2 regular {fifo 1 volatile }  }
}
set C_modelArgMapList {[ 
	{ "Name" : "dds_in_V_V", "interface" : "fifo", "bitwidth" : 15,"bitSlice":[{"low":0,"up":14,"cElement": [{"cName": "dds_in.V.V","cData": "int15","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "dds_out_V_V", "interface" : "fifo", "bitwidth" : 15,"bitSlice":[{"low":0,"up":14,"cElement": [{"cName": "dds_out.V.V","cData": "int15","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "in_rds_V_V", "interface" : "fifo", "bitwidth" : 1,"bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "in_rds.V.V","cData": "uint1","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "out_rds_V_V", "interface" : "fifo", "bitwidth" : 2,"bitSlice":[{"low":0,"up":1,"cElement": [{"cName": "out_rds.V.V","cData": "int2","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} ]}
# RTL Port declarations: 
set portNum 14
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ dds_in_V_V_dout sc_in sc_lv 15 signal 0 } 
	{ dds_in_V_V_empty_n sc_in sc_logic 1 signal 0 } 
	{ dds_in_V_V_read sc_out sc_logic 1 signal 0 } 
	{ dds_out_V_V_din sc_out sc_lv 15 signal 1 } 
	{ dds_out_V_V_full_n sc_in sc_logic 1 signal 1 } 
	{ dds_out_V_V_write sc_out sc_logic 1 signal 1 } 
	{ in_rds_V_V_dout sc_in sc_lv 1 signal 2 } 
	{ in_rds_V_V_empty_n sc_in sc_logic 1 signal 2 } 
	{ in_rds_V_V_read sc_out sc_logic 1 signal 2 } 
	{ out_rds_V_V_din sc_out sc_lv 2 signal 3 } 
	{ out_rds_V_V_full_n sc_in sc_logic 1 signal 3 } 
	{ out_rds_V_V_write sc_out sc_logic 1 signal 3 } 
}
set NewPortList {[ 
	{ "name": "ap_clk", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "clock", "bundle":{"name": "ap_clk", "role": "default" }} , 
 	{ "name": "ap_rst", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "reset", "bundle":{"name": "ap_rst", "role": "default" }} , 
 	{ "name": "dds_in_V_V_dout", "direction": "in", "datatype": "sc_lv", "bitwidth":15, "type": "signal", "bundle":{"name": "dds_in_V_V", "role": "dout" }} , 
 	{ "name": "dds_in_V_V_empty_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "dds_in_V_V", "role": "empty_n" }} , 
 	{ "name": "dds_in_V_V_read", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "dds_in_V_V", "role": "read" }} , 
 	{ "name": "dds_out_V_V_din", "direction": "out", "datatype": "sc_lv", "bitwidth":15, "type": "signal", "bundle":{"name": "dds_out_V_V", "role": "din" }} , 
 	{ "name": "dds_out_V_V_full_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "dds_out_V_V", "role": "full_n" }} , 
 	{ "name": "dds_out_V_V_write", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "dds_out_V_V", "role": "write" }} , 
 	{ "name": "in_rds_V_V_dout", "direction": "in", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "in_rds_V_V", "role": "dout" }} , 
 	{ "name": "in_rds_V_V_empty_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "in_rds_V_V", "role": "empty_n" }} , 
 	{ "name": "in_rds_V_V_read", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "in_rds_V_V", "role": "read" }} , 
 	{ "name": "out_rds_V_V_din", "direction": "out", "datatype": "sc_lv", "bitwidth":2, "type": "signal", "bundle":{"name": "out_rds_V_V", "role": "din" }} , 
 	{ "name": "out_rds_V_V_full_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "out_rds_V_V", "role": "full_n" }} , 
 	{ "name": "out_rds_V_V_write", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "out_rds_V_V", "role": "write" }}  ]}
set Spec2ImplPortList { 
	dds_in_V_V { ap_fifo {  { dds_in_V_V_dout fifo_data 0 15 }  { dds_in_V_V_empty_n fifo_status 0 1 }  { dds_in_V_V_read fifo_update 1 1 } } }
	dds_out_V_V { ap_fifo {  { dds_out_V_V_din fifo_data 1 15 }  { dds_out_V_V_full_n fifo_status 0 1 }  { dds_out_V_V_write fifo_update 1 1 } } }
	in_rds_V_V { ap_fifo {  { in_rds_V_V_dout fifo_data 0 1 }  { in_rds_V_V_empty_n fifo_status 0 1 }  { in_rds_V_V_read fifo_update 1 1 } } }
	out_rds_V_V { ap_fifo {  { out_rds_V_V_din fifo_data 1 2 }  { out_rds_V_V_full_n fifo_status 0 1 }  { out_rds_V_V_write fifo_update 1 1 } } }
}

# RTL port scheduling information:
set fifoSchedulingInfoList { 
	dds_in_V_V { fifo_read 1 no_conditional }
	dds_out_V_V { fifo_write 1 no_conditional }
	in_rds_V_V { fifo_read 1 has_conditional }
	out_rds_V_V { fifo_write 1 no_conditional }
}

# RTL bus port read request latency information:
set busReadReqLatencyList { 
}

# RTL array port load latency information:
set memoryLoadLatencyList { 
}
