set moduleName stereo_mpx
set isCombinational 0
set isDatapathOnly 0
set isPipelined 0
set pipeline_type none
set FunctionProtocol ap_ctrl_none
set isOneStateSeq 0
set C_modelName stereo_mpx
set C_modelType { void 0 }
set C_modelArgList { 
	{ input_V_V int 17 regular {fifo 0 volatile }  }
	{ dds_V_V int 15 regular {fifo 0 volatile }  }
	{ rds_V_V int 8 regular {fifo 0 volatile }  }
	{ output_V_V int 20 regular {fifo 1 volatile }  }
}
set C_modelArgMapList {[ 
	{ "Name" : "input_V_V", "interface" : "fifo", "bitwidth" : 17,"bitSlice":[{"low":0,"up":16,"cElement": [{"cName": "input.V.V","cData": "int17","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "dds_V_V", "interface" : "fifo", "bitwidth" : 15,"bitSlice":[{"low":0,"up":14,"cElement": [{"cName": "dds.V.V","cData": "int15","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "rds_V_V", "interface" : "fifo", "bitwidth" : 8,"bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "rds.V.V","cData": "int8","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} , 
 	{ "Name" : "output_V_V", "interface" : "fifo", "bitwidth" : 20,"bitSlice":[{"low":0,"up":19,"cElement": [{"cName": "output.V.V","cData": "int20","cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}]} ]}
# RTL Port declarations: 
set portNum 14
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ input_V_V_dout sc_in sc_lv 17 signal 0 } 
	{ input_V_V_empty_n sc_in sc_logic 1 signal 0 } 
	{ input_V_V_read sc_out sc_logic 1 signal 0 } 
	{ dds_V_V_dout sc_in sc_lv 15 signal 1 } 
	{ dds_V_V_empty_n sc_in sc_logic 1 signal 1 } 
	{ dds_V_V_read sc_out sc_logic 1 signal 1 } 
	{ rds_V_V_dout sc_in sc_lv 8 signal 2 } 
	{ rds_V_V_empty_n sc_in sc_logic 1 signal 2 } 
	{ rds_V_V_read sc_out sc_logic 1 signal 2 } 
	{ output_V_V_din sc_out sc_lv 20 signal 3 } 
	{ output_V_V_full_n sc_in sc_logic 1 signal 3 } 
	{ output_V_V_write sc_out sc_logic 1 signal 3 } 
}
set NewPortList {[ 
	{ "name": "ap_clk", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "clock", "bundle":{"name": "ap_clk", "role": "default" }} , 
 	{ "name": "ap_rst", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "reset", "bundle":{"name": "ap_rst", "role": "default" }} , 
 	{ "name": "input_V_V_dout", "direction": "in", "datatype": "sc_lv", "bitwidth":17, "type": "signal", "bundle":{"name": "input_V_V", "role": "dout" }} , 
 	{ "name": "input_V_V_empty_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "input_V_V", "role": "empty_n" }} , 
 	{ "name": "input_V_V_read", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "input_V_V", "role": "read" }} , 
 	{ "name": "dds_V_V_dout", "direction": "in", "datatype": "sc_lv", "bitwidth":15, "type": "signal", "bundle":{"name": "dds_V_V", "role": "dout" }} , 
 	{ "name": "dds_V_V_empty_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "dds_V_V", "role": "empty_n" }} , 
 	{ "name": "dds_V_V_read", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "dds_V_V", "role": "read" }} , 
 	{ "name": "rds_V_V_dout", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "rds_V_V", "role": "dout" }} , 
 	{ "name": "rds_V_V_empty_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "rds_V_V", "role": "empty_n" }} , 
 	{ "name": "rds_V_V_read", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "rds_V_V", "role": "read" }} , 
 	{ "name": "output_V_V_din", "direction": "out", "datatype": "sc_lv", "bitwidth":20, "type": "signal", "bundle":{"name": "output_V_V", "role": "din" }} , 
 	{ "name": "output_V_V_full_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "output_V_V", "role": "full_n" }} , 
 	{ "name": "output_V_V_write", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "output_V_V", "role": "write" }}  ]}
set Spec2ImplPortList { 
	input_V_V { ap_fifo {  { input_V_V_dout fifo_data 0 17 }  { input_V_V_empty_n fifo_status 0 1 }  { input_V_V_read fifo_update 1 1 } } }
	dds_V_V { ap_fifo {  { dds_V_V_dout fifo_data 0 15 }  { dds_V_V_empty_n fifo_status 0 1 }  { dds_V_V_read fifo_update 1 1 } } }
	rds_V_V { ap_fifo {  { rds_V_V_dout fifo_data 0 8 }  { rds_V_V_empty_n fifo_status 0 1 }  { rds_V_V_read fifo_update 1 1 } } }
	output_V_V { ap_fifo {  { output_V_V_din fifo_data 1 20 }  { output_V_V_full_n fifo_status 0 1 }  { output_V_V_write fifo_update 1 1 } } }
}

# RTL port scheduling information:
set fifoSchedulingInfoList { 
	input_V_V { fifo_read 2 no_conditional }
	dds_V_V { fifo_read 3 no_conditional }
	rds_V_V { fifo_read 1 no_conditional }
	output_V_V { fifo_write 1 no_conditional }
}

# RTL bus port read request latency information:
set busReadReqLatencyList { 
}

# RTL array port load latency information:
set memoryLoadLatencyList { 
}
