
#include <ap_int.h>
#include <ap_utils.h>
#include <hls_stream.h>

#define DISABLE_GAIN
//#undef DISABLE_GAIN

//#define GAIN_CONTROL_MORE_RAM
//#define GAIN_CONTROL_PACKED



#if 0
static ap_uint<10> output_pos = 0;
void interleave8to32(hls::stream<ap_uint<8> > &input,
		volatile ap_uint<16> *output,
		volatile ap_uint<10> *o_addr,
		volatile ap_uint<1>  *o_en
		)
{
#pragma HLS INTERFACE ap_fifo port=input
#pragma HLS RESOURCE variable=input  core=AXIS metadata="-bus_bundle S_AXIS"
//#pragma HLS INTERFACE ap_memory port=output
//#pragma HLS RESOURCE variable=output core=RAM_1P_BRAM

#pragma HLS INTERFACE ap_none port=output
#pragma HLS INTERFACE ap_none port=o_addr
#pragma HLS INTERFACE ap_none port=o_en

//#pragma HLS INTERFACE ap_ctrl_none port=return
//#pragma HLS INTERFACE ap_ctrl_none port=return

  ap_uint<10> cnt = 0;
  do {
	ap_uint<16> val;
	val = input.read();
	val = val << 8 | input.read();
	*o_addr = output_pos;
	*output = val;
	ap_wait();
	*o_en = 1;
	ap_wait();
	*o_en = 0;
	output_pos++;
  } while(output_pos % 512 != 0);
  return;
}
#endif


#if 0
static ap_uint<10> output_pos = 1;
void interleave8to32(hls::stream<ap_uint<8> > &input,
		volatile ap_uint<16> *output,
		volatile ap_uint<10> *o_addr,
		volatile ap_uint<1>  *o_en
		)
{
#pragma HLS INTERFACE ap_fifo port=input
#pragma HLS RESOURCE variable=input  core=AXIS metadata="-bus_bundle S_AXIS"
//#pragma HLS INTERFACE ap_memory port=output
//#pragma HLS RESOURCE variable=output core=RAM_1P_BRAM

#pragma HLS INTERFACE ap_none port=output
#pragma HLS INTERFACE ap_none port=o_addr
#pragma HLS INTERFACE ap_none port=o_en

//#pragma HLS INTERFACE ap_ctrl_none port=return
//#pragma HLS INTERFACE ap_ctrl_none port=return

  ap_uint<10> cnt = 0;
  do {
	ap_uint<16> val;
	val = input.read();
	val = val << 8 | input.read();
	*o_addr = output_pos;
	*output = val;
	ap_wait();
	*o_en = 1;
	ap_wait();
	*o_en = 0;
	output_pos++;
	cnt++;
  } while(cnt < 512);
  return;
}
#endif


static ap_uint<2> cnt = 0;
static ap_uint<32> val = 0;
void interleave8to32(hls::stream<ap_uint<8> > &input,
		hls::stream<ap_uint<32> > &output
		)
{
#pragma HLS INTERFACE ap_fifo port=input
#pragma HLS INTERFACE ap_fifo port=output
#pragma HLS RESOURCE variable=input  core=AXIS metadata="-bus_bundle S_AXIS"
#pragma HLS RESOURCE variable=output  core=AXIS metadata="-bus_bundle M_AXIS"
#pragma HLS INTERFACE ap_ctrl_none port=return

  while(1) {
	  ap_uint<32> val0 = input.read();
	  ap_uint<32> val1 = input.read();
	  ap_uint<32> val2 = input.read();
	  ap_uint<32> val3 = input.read();
	  //val = val3 << 24 | val2 << 16 | val1 << 8 | val0;
	  val = val0 << 24 | val1 << 16 | val2 << 8 | val3;
//		val = input.read();
//		val = val << 8 | input.read();
//		val = val << 8 | input.read();
//		val = val << 8 | input.read();
		output.write(val);
  }
}
