


#include <ap_int.h>
#include <ap_utils.h>
#include <hls_stream.h>

extern void mp3_metadata(
		hls::stream<ap_uint<8> >   &input,
		hls::stream<ap_uint<8> >   &output
);

int main()
{
    hls::stream<ap_uint<8> > data_in;
    hls::stream<ap_uint<8> > data_out;

    FILE *ifh = fopen("input.raw", "rb");
    FILE *ofh = fopen("output.raw", "wb");

    uint8_t ivar = 0x00;


    while(fread(&ivar, 1, 1, ifh) == 1) {
		data_in.write((ap_uint<8> ) ivar);

		mp3_metadata(data_in, data_out);

		while(!data_out.empty()) {
			uint8_t ovar = 0x00;
			ap_uint<8> var2 = 0x00;
			ovar = data_out.read();
			fwrite(&ovar, 1, 1, ofh);
		}
    }

    fclose(ifh);
    fclose(ofh);
    return 0;
}
