
#include <ap_int.h>
#include <ap_utils.h>
#include <hls_stream.h>

#if 0
static const ap_uint<8> rds_buff[13*9] = {
0xD3, 0x93, 0x46, 0x41, 0x72, 0x16, 0xE1, 0x79, 0x43, 0xED, 0x5D, 0x11, 0x26,//<-> ӓFAr^V.yC.]^Q&
0xD3, 0x93, 0x46, 0x41, 0x72, 0x4D, 0x71, 0x79, 0x43, 0xED, 0x48, 0x83, 0x27,//<-> ӓFArMqyC.H.'
0xD3, 0x93, 0x46, 0x41, 0x72, 0xA1, 0xC1, 0x79, 0x43, 0xEC, 0xCC, 0x82, 0xB3,//<-> ӓFAr..yC. ̂.
0xD3, 0x93, 0x46, 0x41, 0x73, 0xCF, 0x81, 0x79, 0x43, 0xEC, 0x80, 0x80, 0xDC,//<-> ӓFAsρyC쀀.
0xD3, 0x93, 0x46, 0x4D, 0x74, 0x17, 0x60, 0x06, 0x6E, 0xDF, 0x35, 0x1B, 0xC9,//<-> ӓFMt^W`^Fn.5^[.
0xD3, 0x93, 0x46, 0x4D, 0x74, 0x17, 0x66, 0x28, 0x07, 0xDB, 0x35, 0x1B, 0xC9,//<-> ӓFMt^Wf(^G.5^[.
0xD3, 0x93, 0x46, 0x51, 0x70, 0x53, 0x3C, 0x10, 0x6C, 0x2E, 0xE4, 0x1A, 0xCD,//<-> ӓFQpS<^Pl..^Z.
0xD3, 0x93, 0x46, 0x61, 0x72, 0xFD, 0x29, 0x53, 0xC2, 0x78, 0xAC, 0x3E, 0xB3,//<-> ӓFar.)S.x.>.
0xD3, 0x93, 0x46, 0x6D, 0x72, 0x1B, 0xD2, 0x03, 0x82, 0xF1, 0x11, 0x5B, 0x84,//<-> ӓFmr^[.^C..^Q[.
};


void rds_src(hls::stream<ap_uint<8> > &output)
{
#pragma HLS INTERFACE ap_fifo port=output
#pragma HLS RESOURCE variable=output core=AXIS metadata="-bus_bundle M_AXIS"
#pragma HLS INTERFACE ap_ctrl_none port=return

	ap_uint<8> y;
	ap_uint<8> byte_idx = 0;
	while(1) {

		y=rds_buff[byte_idx];
		output.write(y);

		byte_idx++;
		if(byte_idx == 13*9) byte_idx=0;
	}
}
#endif


#if 0
//static const ap_uint<8> rds_buff[13*9] = {
static const ap_uint<8> rds_buff[8*9] = {
		                        // bit[2] = last
								// bit[3] = music/speech

								// bit[4] = TA
								// bit[5...9] = PTY
								// bit[10] = TP
								// bit[11] = AB
		                        //0000 0 1 01110 0 1 0 00
		                        //0000 0 1 01110 0 1 0 01
		                        //0000 0 1 01110 0 1 0 10
		                        //0000 0 1 01110 0 1 1 11
		//0xD3, 0x93, 0x46, 0x41, 0x72, 0x16, 0xE1, 0x79, 0x43, 0xED, 0x5D, 0x11, 0x26,
		0xD3, 0x93, 0x05, 0xC8, 0x17, 0x94, 0x57, 0x44,
		//0xD3, 0x93, 0x46, 0x41, 0x72, 0x4D, 0x71, 0x79, 0x43, 0xED, 0x48, 0x83, 0x27
		0xD3, 0x93, 0x05, 0xC9, 0x17, 0x94, 0x52, 0x20,
		//0xD3, 0x93, 0x46, 0x41, 0x72, 0xA1, 0xC1, 0x79, 0x43, 0xEC, 0xCC, 0x82, 0xB3
		0xD3, 0x93, 0x05, 0xCA, 0x17, 0x94, 0x33, 0x20,
		//0xD3, 0x93, 0x46, 0x41, 0x73, 0xCF, 0x81, 0x79, 0x43, 0xEC, 0x80, 0x80, 0xDC,
		0xD3, 0x93, 0x05, 0xCF, 0x17, 0x94, 0x20, 0x20,
		//0xD3, 0x93, 0x46, 0x4D, 0x74, 0x17, 0x60, 0x06, 0x6E, 0xDF, 0x35, 0x1B, 0xC9,
		0xD3, 0x93, 0x35, 0xD0, 0x00, 0x66, 0xCD, 0x46,
		//0xD3, 0x93, 0x46, 0x4D, 0x74, 0x17, 0x66, 0x28, 0x07, 0xDB, 0x35, 0x1B, 0xC9,
		0xD3, 0x93, 0x35, 0xD0, 0x62, 0x80, 0xCD, 0x46,
		//0xD3, 0x93, 0x46, 0x51, 0x70, 0x53, 0x3C, 0x10, 0x6C, 0x2E, 0xE4, 0x1A, 0xCD,
		0xD3, 0x93, 0x45, 0xC1, 0xC1, 0x06, 0xB9, 0x06,
		//0xD3, 0x93, 0x46, 0x61, 0x72, 0xFD, 0x29, 0x53, 0xC2, 0x78, 0xAC, 0x3E, 0xB3,
		0xD3, 0x93, 0x85, 0xCB, 0x95, 0x3C, 0x2B, 0x0F,
		//0xD3, 0x93, 0x46, 0x6D, 0x72, 0x1B, 0xD2, 0x03, 0x82, 0xF1, 0x11, 0x5B, 0x84,
		0xD3, 0x93, 0xB5, 0xC8, 0x20, 0x38, 0x44, 0x56
};
#endif
/* Here, the first member of the struct must be a scalar to avoid a
   warning on -Wmissing-braces with GCC < 4.8.3
   (bug: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=53119)
*/

/* The RDS error-detection code generator polynomial is
   x^10 + x^8 + x^7 + x^5 + x^4 + x^3 + x^0
*/
#define POLY 0x1B9
#define POLY_DEG 10
#define MSB_BIT 0x8000
#define BLOCK_SIZE 16

static const ap_uint<16> offset_words[4] = {0x0FC, 0x198, 0x168, 0x1B4};
// We don't handle offset word C' here for the sake of simplicity

static ap_uint<11> byte_ptr = 4;

static ap_uint<8> ps[8] = {'P', 'S', ' ', ' ', ' ', ' ', ' ', ' '};
static ap_uint<8> rt[64] = {
		'R', 'T', ' ', ' ', ' ', ' ', ' ', ' ',
		' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
		' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
		' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
		' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
		' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
		' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
		' ', ' ', ' ', ' ', ' ', ' ', ' ', ' '
};

static ap_uint<2> ps_state = 0; //0..3
static ap_uint<4> rt_state = 0; //0..16
static ap_uint<2> rds_state = 0;

enum {
	DEST_NONE=0x00,
	DEST_PS,
	DEST_RT,
};

static ap_uint<2> input_dest = DEST_NONE;
static ap_uint<7> input_pos = 0;

typedef struct {
	ap_uint<8> data;
	ap_uint<1> last;
} u8stream;

void rds_src(hls::stream<u8stream > &input, hls::stream<ap_uint<1> > &output)
{
//#pragma HLS INTERFACE ap_memory port=rds_buff
//#pragma HLS RESOURCE variable=rds_buff core=RAM_1P_BRAM
#pragma HLS INTERFACE ap_fifo port=input
#pragma HLS RESOURCE variable=input core=AXIS metadata="-bus_bundle S_AXIS"
#pragma HLS INTERFACE ap_fifo port=output
#pragma HLS RESOURCE variable=output core=AXIS metadata="-bus_bundle M_AXIS"
#pragma HLS INTERFACE ap_ctrl_none port=return



	if(!input.empty()) {
		u8stream val = input.read();
		if(input_dest == DEST_NONE) {
			input_dest = val.data;
			input_pos = 0;
		} else {
#if 0
			if (input_dest == DEST_PS && input_pos < 8) {
				if(val.data < 0x20 || val.data >= 0x7F) val.data = 0x20;
				LOOP1:do {
//#pragma HLS PIPELINE II=1
					ps[input_pos] = val.data;
					input_pos++;
				} while(val.last && input_pos < 8);
			} else if (input_dest == DEST_RT && input_pos < 64) {
				if(val.data < 0x20 || val.data >= 0x7F || val.last) val.data = 0x20;
				LOOP2:do {
//#pragma HLS PIPELINE II=1
					rt[input_pos] = val.data;
					input_pos++;
				} while(val.last && input_pos < 64);
			}
#else
/*
#=== Resource usage ===
SLICE:           53
LUT:            158
FF:             127
DSP:              0
BRAM:             0
SRL:              0
*/

		   if(val.data < 0x20 || val.data >= 0x7F || val.data=='\'' || val.last) val.data = 0x20;
			if (input_dest == DEST_PS && input_pos < 8) {
				LOOP1:do {
					ps[input_pos] = val.data;
					input_pos++;
				} while(val.last && input_pos < 8);
			} else if (input_dest == DEST_RT && input_pos < 64) {
				LOOP2:do {
					rt[input_pos] = val.data;
					input_pos++;
				} while(val.last && input_pos < 64);
			}
#endif
			if (val.last) input_dest = DEST_NONE;
		}

//		ap_wait();
	}

//	while(1) {
		ap_uint<3> block_idx=0;
		do {
			ap_uint<16> rds_data;

			switch(block_idx) {
			case 0:
				rds_data = 0x40A7;
				break;
			case 1: {
				if(rds_state) {
					rds_data = 0x02E8 | ps_state;
					//rds_data = 0x0400 | ps_state;
					if (ps_state==3) rds_data |= 0x04;
				} else {
					rds_data = 0x22E0 | rt_state;
				}
				break;
			}
			case 2: {
				if(rds_state) {
					rds_data = 0xCDCD;
				} else {
					rds_data = ((ap_uint<16>) rt[(((ap_uint<6>)rt_state)<<2)])<<8 | rt[(((ap_uint<6>)rt_state)<<2)+1];
				}
				break;
			}
			case 3:
				if(rds_state) {
					rds_data = ((ap_uint<16>) ps[(((ap_uint<3>)ps_state)<<1)])<<8 | ps[(((ap_uint<3>)ps_state)<<1)+1];
					ps_state++;
				} else {
					rds_data = ((ap_uint<16>) rt[(((ap_uint<6>)rt_state)<<2)+2])<<8 | rt[(((ap_uint<6>)rt_state)<<2)+3];
					rt_state++;
				}
				rds_state++;
				break;
			}

#ifndef  __SYNTHESIS__
			fprintf(stderr, "[HARD] rds_data=0x%04x\n", (uint16_t)rds_data);
#endif
			ap_uint<4> bit_idx = 16;
			ap_uint<16> crc = 0;
			do {
				bit_idx--;
				ap_uint<1> bit = rds_data.bit(bit_idx);
				output.write(bit);
		    	ap_uint<1> msb = crc.bit(9);
		        crc <<= 1;
		        if((msb ^ bit) != 0) crc = crc ^ POLY;
			} while(bit_idx > 0);

			ap_uint<16> crc_data = crc ^ offset_words[block_idx];
#ifndef  __SYNTHESIS__
			fprintf(stderr, "[HARD] crc_data=0x%04x\n", (uint16_t)crc_data);
#endif
			bit_idx = 10;
			do {
				bit_idx--;
				output.write(crc_data.range(bit_idx, bit_idx));
			} while(bit_idx > 0);

			block_idx++;
		} while (block_idx < 4);
//	}
}
