#include "hls_design_meta.h"
const Port_Property HLS_Design_Meta::port_props[]={
	Port_Property("ap_clk", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_rst", 1, hls_in, -1, "", "", 1),
	Port_Property("input_V_V_dout", 17, hls_in, 0, "ap_fifo", "fifo_data", 2),
	Port_Property("input_V_V_empty_n", 1, hls_in, 0, "ap_fifo", "fifo_status", 2),
	Port_Property("input_V_V_read", 1, hls_out, 0, "ap_fifo", "fifo_update", 2),
	Port_Property("dds_V_V_dout", 15, hls_in, 1, "ap_fifo", "fifo_data", 3),
	Port_Property("dds_V_V_empty_n", 1, hls_in, 1, "ap_fifo", "fifo_status", 3),
	Port_Property("dds_V_V_read", 1, hls_out, 1, "ap_fifo", "fifo_update", 3),
	Port_Property("rds_V_V_dout", 8, hls_in, 2, "ap_fifo", "fifo_data", 1),
	Port_Property("rds_V_V_empty_n", 1, hls_in, 2, "ap_fifo", "fifo_status", 1),
	Port_Property("rds_V_V_read", 1, hls_out, 2, "ap_fifo", "fifo_update", 1),
	Port_Property("output_V_V_din", 20, hls_out, 3, "ap_fifo", "fifo_data", 1),
	Port_Property("output_V_V_full_n", 1, hls_in, 3, "ap_fifo", "fifo_status", 1),
	Port_Property("output_V_V_write", 1, hls_out, 3, "ap_fifo", "fifo_update", 1),
};
const char* HLS_Design_Meta::dut_name = "stereo_mpx";
