`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    19:50:17 04/29/2016 
// Design Name: 
// Module Name:    wav_switch 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module wav_switch(
    input [1:0] sf_in,
    output [1:0] sf_out,

    input [15:0] dec_in,
	 input dec_write,
	 input dec_ready,

    input [31:0] raw_in,
	 input raw_write,
	 output raw_ready,

    output [15:0] mod_out,
	 output mod_write,
	 input mod_ready,

	 input is_wav_n
    );

assign sf_out = (is_wav_n == 1'b1) ? sf_in : 2'b01;
assign mod_out = (is_wav_n == 1'b1) ? dec_in : raw_in[15:0];
assign mod_write = (is_wav_n == 1'b1) ? dec_write : raw_write;
assign raw_ready = (is_wav_n == 1'b1) ? dec_ready : mod_ready;

endmodule

